# !/bin/bash

# This apparently is needed because of a problem with the JRE when local language /= English

unset LANG

# Run `. /usr/i386-glibc21-linux/bin/i386-glibc21-linux-env.sh'
# for transparent glibc 2.1.x compatibility build environment.
# Preprocessor will use glibc 2.1.x compatibility headers and
# things will be linked against glibc 2.1.x compatibility libraries.
# This will work both when linking using gcc drivers or standalone ld
# on i386 platform.
export LD_ASSUME_KERNEL=2.2.5

export LDEMULATION=elf_i386_glibc21 # This is so that when genclntsh runs
				    # ld, it first looks at /usr/i386-glibc21-linux/lib
				    # for libraries
export GCC_EXEC_PREFIX=/usr/i386-glibc21-linux/lib/gcc-lib/
				    # This is so that the gcc driver uses
				    # the compatibility compiler

export ORACLE_BASE=/oracle/u01/app/oracle
export ORACLE_HOME=$ORACLE_BASE/product/8.1.7
export PATH=$PATH:$ORACLE_HOME/bin
# export PATH=$PATH:$ORACLE_HOME/bin:$ORACLE_HOME/ctx/lib
export LD_LIBRARY_PATH=$ORACLE_HOME/lib:/lib:/usr/lib
# export LD_LIBRARY_PATH=$ORACLE_HOME/lib:/lib:/usr/lib:$ORACLE_HOME/jdbc/lib:$ORACLE_HOME/ctx/lib
export ORACLE_SID=cvpr
export ORACLE_TERM=vt100
export ORA_NLS33=$ORACLE_HOME/ocommon/nls/admin/data

umask 022
